import { PrismEditor } from '../../types';

/**
 * Hook that adds a copy button to the editor. Probably best used with a read-only editor.
 * Requires styles from `react-prism-editor/copy-button.css` to work.
 */
declare const useCopyButton: (editor: PrismEditor) => void;
export { useCopyButton };
