"use client";
import { l as languageMap } from "../core-D93zuxUs.js";
import { e as getLineBefore } from "../index-cQWT8Bdc.js";
languageMap.apacheconf = {
  comments: {
    line: "#"
  },
  autoIndent: [
    ([start], value) => /<\w+\b.*>[ \t]*$/.test(getLineBefore(value, start)),
    ([start, end], value) => /<\w+\b.*>$/.test(getLineBefore(value, start)) && /^<\/\w+\b.*>/.test(value.slice(end))
  ],
  autoCloseTags([start], value) {
    let match = /<(\w+)\b.*>/.exec(getLineBefore(value, start) + ">");
    return match && `</${match[1]}>`;
  }
};
//# sourceMappingURL=apacheconf.js.map
