import { PrismEditor } from '../../types';

/**
 * Hook adding a `selectionChange` handler to highlight the closest bracket pair.
 *
 * The {@link useBracketMatcher} hook is required by this hook.
 *
 * The `.active-bracket` CSS selector can be used to style the highlighted pair.
 */
export declare const useHightlightBracketPairs: (editor: PrismEditor) => void;
