import { PrismEditor } from '../types';

declare const scrollToEl: (editor: PrismEditor, el: HTMLElement, paddingTop?: number) => void;
declare const getLineStart: (text: string, position: number) => number;
declare const getLineEnd: (text: string, position: number) => number;
declare const createTemplate: <T extends Element = HTMLDivElement>(html: string) => () => T;
export { scrollToEl, getLineStart, getLineEnd, createTemplate };
